---
title: PaymentRequest.payerName
slug: Web/API/PaymentResponse/payerName
tags:
  - API
  - Experimental
  - Payment Request
  - Payment Request API
  - PaymentResponse
  - Property
  - Reference
  - Secure context
---
<p>{{securecontext_header}}{{SeeCompatTable}}{{APIRef("Payment Request API")}}</p>

<p>The <strong><code>payerName</code></strong> read-only property of the {{domxref("PaymentResponse")}} interface returns the name supplied by the user. This option is only present when the <code>requestPayerName</code> option is set to <code>true</code> in the options parameter of the {{domxref('PaymentRequest.PaymentRequest','PaymentRequest()')}} constructor.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>payerName</em> = PaymentResponse.payerName;</pre>

<h3 id="Value">Value</h3>

<p>A string containing the payer name.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentresponse-payername','payerName')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PaymentResponse.payerName")}}</p>
</div>
